summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-news/quiterss/quiterss-9999.ebuild
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-news/quiterss/quiterss-9999.ebuild')
-rw-r--r--net-news/quiterss/quiterss-9999.ebuild83
1 files changed, 83 insertions, 0 deletions
diff --git a/net-news/quiterss/quiterss-9999.ebuild b/net-news/quiterss/quiterss-9999.ebuild
new file mode 100644
index 00000000000..0554f11fa41
--- /dev/null
+++ b/net-news/quiterss/quiterss-9999.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PLOCALES="ar bg cs de el_GR es fa fi fr gl hi hu it ja ko lt nl pl pt_BR pt_PT ro_RO ru sk sr sv tg_TJ tr uk vi zh_CN zh_TW"
+inherit eutils l10n fdo-mime gnome2-utils qmake-utils
+
+DESCRIPTION="A Qt-based RSS/Atom feed reader"
+HOMEPAGE="https://quiterss.org"
+
+if [[ ${PV} == *9999* ]]; then
+ EGIT_REPO_URI="https://github.com/QuiteRSS/quiterss.git"
+ inherit git-r3
+else
+ SRC_URI="https://github.com/QuiteRSS/quiterss/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+IUSE="debug phonon +qt4 qt5"
+REQUIRED_USE="^^ ( qt4 qt5 )"
+
+RDEPEND="dev-db/sqlite:3
+ dev-qt/qtsingleapplication[X,qt4(+)?,qt5(-)?]
+ qt4? ( dev-qt/qtcore:4
+ dev-qt/qtgui:4
+ dev-qt/qtsql:4[sqlite]
+ dev-qt/qtwebkit:4
+ phonon? ( || ( media-libs/phonon[qt4] dev-qt/qtphonon:4 ) ) )
+ qt5? ( dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtmultimedia:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtsql:5[sqlite]
+ dev-qt/qtwebkit:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5 )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+DOCS=( AUTHORS CHANGELOG README.md )
+
+src_prepare() {
+ my_rm_loc() {
+ sed -i -e "s:lang/${PN}_${1}.ts::" lang/lang.pri || die
+ }
+
+ epatch_user
+
+ # dedicated english locale file is not installed at all
+ rm "lang/${PN}_en.ts" || die
+
+ l10n_find_plocales_changes "lang" "${PN}_" '.ts'
+ l10n_for_each_disabled_locale_do my_rm_loc
+}
+
+src_configure() {
+ use qt4 && eqmake4 PREFIX="${EPREFIX}/usr" SYSTEMQTSA=1 \
+ $(usex phonon '' 'DISABLE_PHONON=1')
+ use qt5 && eqmake5 PREFIX="${EPREFIX}/usr" SYSTEMQTSA=1
+}
+
+src_install() {
+ emake INSTALL_ROOT="${D}" install
+ einstalldocs
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+ gnome2_icon_cache_update
+}